# Package net.shibboleth.shared.annotation

@NonnullElements package net.shibboleth.shared.annotation
A set of annotations used to document information about methods, fields, parameters, etc.

Related Packages
Package
Description
net.shibboleth.shared.annotation.constraint
A set of annotations used to document constraints on methods, fields, parameters, etc.
Annotation Interfaces
Class
Description
ConfigurationSetting
Identifies a configuration setting that a method exposes.
ParameterName
The Name of the parameter (aimed at constructors).
Prototype
Indicates that the annotated type represents a non-singleton stateful bean.